---
title: Request
description: An HTTP request message. Access the content of the request by using expressions.
component: pinggateway
version: 2026
page_id: pinggateway:reference:Request
canonical_url: https://docs.pingidentity.com/pinggateway/2026/reference/Request.html
revdate: 2025-06-02T18:01:47Z
section_ids:
  Request-properties: Properties
  Request-moreinfo: More information
---

# Request

An HTTP request message. Access the content of the request by using [expressions](Expressions.html#expressions-syntax).

## Properties

* `"method"`: *[java.lang.String](https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/lang/String.html)*

  The HTTP method; for example, `GET`.

* `"uri"`: *[java.net.URI](https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/net/URI.html)*

  The fully-qualified URI of the resource being accessed; for example, `https://www.example.com/resource.txt`.

* `"version"`: *[java.lang.String](https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/lang/String.html)*

  The protocol version used for the request; for example, `HTTP/2`.

* `"headers"`: *[org.forgerock.http.protocol.Headers](../_attachments/apidocs/org/forgerock/http/protocol/Headers.html)*

  One or more headers in the request, with the format `header_name: [ header_value, …​ ]`. The following example accesses the first value of the request header `UserId`:

  ```none
  ${request.headers['UserId'][0]}
  ```

* `"cookies"`: *[org.forgerock.http.protocol.RequestCookies](../_attachments/apidocs/org/forgerock/http/protocol/RequestCookies.html)*

  Incoming request cookies, with the format `cookie_name: [ cookie_value, …​ ]`. The following example accesses the first value of the request cookie `my-jwt`:

  ```none
  ${request.cookies['my-jwt'][0].value}
  ```

* `"entity"`: *[Entity](../_attachments/apidocs/org/forgerock/http/protocol/Entity.html)*

  The message body. The following example accesses the subject token from the request entity:

  ```none
  #{request.entity.form['subject_token'][0]}
  ```

* `"queryParams"`: *[Form](../_attachments/apidocs/org/forgerock/http/protocol/Form.html)*

  Returns a copy of the query parameters decoded as a form. Modifications to the returned form aren't reflected in the request.

## More information

[org.forgerock.http.protocol.Request](../_attachments/apidocs/org/forgerock/http/protocol/Request.html)
